package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"toinstancetype", "toinstance", "tofield", "frominstancetype", "frominstance", "fromfield"}
)
@XmlRootElement(
   name = "CONNECTOR"
)
public class CONNECTOR {
   @XmlAttribute(
      name = "FROMINSTANCE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String frominstance;
   @XmlAttribute(
      name = "FROMINSTANCETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String frominstancetype;
   @XmlAttribute(
      name = "FROMFIELD",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String fromfield;
   @XmlAttribute(
      name = "TOINSTANCE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String toinstance;
   @XmlAttribute(
      name = "TOINSTANCETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String toinstancetype;
   @XmlAttribute(
      name = "TOFIELD",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String tofield;

   public String getFROMINSTANCE() {
      return this.frominstance;
   }

   public void setFROMINSTANCE(String value) {
      this.frominstance = value;
   }

   public String getFROMINSTANCETYPE() {
      return this.frominstancetype;
   }

   public void setFROMINSTANCETYPE(String value) {
      this.frominstancetype = value;
   }

   public String getFROMFIELD() {
      return this.fromfield;
   }

   public void setFROMFIELD(String value) {
      this.fromfield = value;
   }

   public String getTOINSTANCE() {
      return this.toinstance;
   }

   public void setTOINSTANCE(String value) {
      this.toinstance = value;
   }

   public String getTOINSTANCETYPE() {
      return this.toinstancetype;
   }

   public void setTOINSTANCETYPE(String value) {
      this.toinstancetype = value;
   }

   public String getTOFIELD() {
      return this.tofield;
   }

   public void setTOFIELD(String value) {
      this.tofield = value;
   }
}
